UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Highlighted
Explorer
Explorer
4,508 Views
Registered: ‎12-08-2007

Linux cable drivers, SP601. Problem

I have the SP601 start board.

I am trying to install the cable drivers for Linux.

In UG344.pdf.  p. 11, Table 1-1 there is a list of possible USB cables tha tI am suppose to choose from.

DLC10, DLC9 and a few other codes.

 

It is not clear which one I should choose since in the SP601 user guide, the only name that appears for the usb cable is:

Type A end to host, Type Mini-B end to SP601 board.

 

Please advise which of the Xilinx USB Cables listed in UG344.pdf.  p. 11, Table 1-1 should I select in order to complete the Linux cable driver installation ?

 

thanks

Dag

0 Kudos
4 Replies
Voyager
Voyager
4,502 Views
Registered: ‎05-21-2008

Re: Linux cable drivers, SP601. Problem

Try DLC9, which is USB I cable. DLC10 is USB II.
0 Kudos
Instructor
Instructor
4,499 Views
Registered: ‎07-21-2009

correction and followup

Try DLC9, which is USB I cable. DLC10 is USB II.

 

This characterisation of USB support or compatibility is incorrect.

 

The DLC9 (USB Platform Cable) and DLC10 (USB Platform Cable II) are both USB 2.0 devices.  Both are backward-compatible with USB 1 hardware.  See Figure 29 (DLC9 datasheet) and Figure 30 (DLC10 datasheet) for details.

 

Some possibly useful information:

http://forums.xilinx.com/t5/EDK-and-Platform-Studio/Regarding-platform-usb-cable/m-p/21106#M5628

http://forums.xilinx.com/t5/Xilinx-Boards-and-Kits/What-s-new-with-the-HW-USB-II-G-Platform-Cable/m-p/7398

http://www.xilinx.com/support/answers/20429.htm

http://www.xilinx.com/support/answers/29310.htm

 

Please advise which of the Xilinx USB Cables listed in UG344.pdf.  p. 11, Table 1-1 should I select in order to complete the Linux cable driver installation ?

 

Which version of ISE or Impact do you have installed?  If software is more than 2 years old, the USB Platform Cable II may not be supported (simply install a current ISE/Impact software release).

 

-- Bob Elkind

SIGNATURE:
README for newbies is here: http://forums.xilinx.com/t5/New-Users-Forum/README-first-Help-for-new-users/td-p/219369

Summary:
1. Read the manual or user guide. Have you read the manual? Can you find the manual?
2. Search the forums (and search the web) for similar topics.
3. Do not post the same question on multiple forums.
4. Do not post a new topic or question on someone else's thread, start a new thread!
5. Students: Copying code is not the same as learning to design.
6 "It does not work" is not a question which can be answered. Provide useful details (with webpage, datasheet links, please).
7. You are not charged extra fees for comments in your code.
8. I am not paid for forum posts. If I write a good post, then I have been good for nothing.
0 Kudos
Moderator
Moderator
4,484 Views
Registered: ‎02-16-2010

Re: correction and followup

Cable drivers would have been installed along with the ISE installation. can you post the error you are getting while working with the cable.
------------------------------------------------------------------------------
Don't forget to reply, give kudo and accept as solution
------------------------------------------------------------------------------
0 Kudos
Explorer
Explorer
4,476 Views
Registered: ‎12-08-2007

Re: correction and followup

To answer your question:

I found another posting " installing platform cable USB II (ubuntu)" in the forum

I was able to succeed by following the solution there.
Thanks
Dag
0 Kudos